Skip to main content
POST
/
collections
/
{collection_id}
/
shopify
/
shopify-ordering
Error
A valid request URL is required to generate request examples
[
  {
    "main_product_id": "<string>",
    "title": "<string>",
    "handle": "<string>",
    "images": [
      {
        "id": "<string>",
        "url": "<string>",
        "width": 123,
        "height": 123,
        "alt": "<string>"
      }
    ],
    "price": 123,
    "in_stock": true,
    "quantity": 123,
    "badges": [
      {
        "type": "on_sale",
        "sale_percentage": 123
      }
    ],
    "n_sold_current_period": 123,
    "n_sold_last_7_days": 123,
    "clicks_current_period": 123,
    "skus": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "published_at": "2023-11-07T05:31:56Z",
    "variants": [
      {
        "id": "<string>",
        "image_url": "<string>",
        "selected_options": [
          {
            "name": "<string>",
            "value": "<string>"
          }
        ]
      }
    ],
    "sort_index": 0,
    "applied_boost_bury_rule": {
      "strength": 123,
      "type": "badge"
    }
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

collection_id
string
required

Query Parameters

merchant_id
string
required

Response

Successful Response

main_product_id
string
required
title
string
required
handle
string
required
images
ShopifyImage · object[]
required
price
number | null
required
status
enum<string>
required
Available options:
ACTIVE,
ARCHIVED,
DRAFT
in_stock
boolean
required
quantity
integer
required
badges
(OnSaleProductBadge · object | OutOfStockProductBadge · object | NewInProductBadge · object | BestsellerProductBadge · object | SlowMoverProductBadge · object | TrendingProductBadge · object | FewVariantsAvailableProductBadge · object)[]
required
n_sold_current_period
integer
required
n_sold_last_7_days
integer
required
clicks_current_period
integer
required
skus
string[]
required
created_at
string<date-time>
required
published_at
string<date-time> | null
required
variants
LiteVariant · object[]
required
sort_index
integer
default:0
required

The sort order of the product in the collection, disregarding pins

applied_boost_bury_rule
BadgeBoostBuryRule · object
required